using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SkinningSample.ViewModel
{
    /// <summary>
    /// A sample view-model class that we use to display a single book in a list of books.
    /// </summary>
    class BookViewModel
    {
        /// <summary>
        /// Book title
        /// </summary>
        public string Title
        {
            get;
            set;
        }

        /// <summary>
        /// Book author
        /// </summary>
        public string Author
        {
            get;
            set;
        }

        /// <summary>
        /// Book publisher
        /// </summary>
        public string Publisher
        {
            get;
            set;
        }

        /// <summary>
        /// ISBN
        /// </summary>
        public string ISBN
        {
            get;
            set;
        }
    }
}
