using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SkinningSample.ViewModel
{
    /// <summary>
    /// Event arguments for the page changed event that is fired whenever the application
    /// navigates to a new page.
    /// </summary>
    class PageChangedArgs : EventArgs
    {
        /// <summary>
        /// The new page.
        /// </summary>
        public IPage NewPage
        {
            get;
            set;
        }

        /// <summary>
        /// The old page.
        /// </summary>
        public IPage OldPage
        {
            get;
            set;
        }
    }
}
