﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Citrix.XaAdminMobile.Model
{
    /// <summary>
    /// Creates our model layer implementation.
    /// </summary>
    internal class ModelFactory
    {
        /// <summary>
        /// Create the model layer.
        /// </summary>
        /// <returns>Model implementation.</returns>
        public static IModelBase Create()
        {
            return new DefaultModel();
        }
    }
}
