﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Citrix.XaAdminMobile.Model
{
    /// <summary>
    /// This enum defines the various action states a session can be in. When we perform actions
    /// on a session we flip its status to the appropriate state.
    /// </summary>
    internal enum SessionActionStatus
    {
        /// <summary>
        /// The app is not performing any action on the session.
        /// </summary>
        None = 0,

        /// <summary>
        /// The app is attempting to reset the session.
        /// </summary>
        Resetting
    }
}
