﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Citrix.XaAdminMobile.Model.Test
{
    class TestDefaultModel : IModelBase
    {
        private readonly TestServerConfigModel serverConfig = new TestServerConfigModel();

        private readonly TestServersModel servers = new TestServersModel();

        private readonly TestSessionsModel sessions = new TestSessionsModel();

        public ISessionsModel Sessions
        {
            get { return this.sessions; }
        }

        public IServerConfigModel ServerConfig
        {
            get { return this.serverConfig; }
        }

        public IServersModel Servers
        {
            get { return this.servers; }
        }

        public void Dispose()
        {
            // Do nothing.
        }
    }
}
